Bug 732934 - cifs mount fails on kernel 2.6.40+
Summary: cifs mount fails on kernel 2.6.40+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Layton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 08:00 UTC by Marcus Moeller
Modified: 2014-06-18 07:41 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.40.4-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-28 14:30:11 UTC


Attachments (Terms of Use)
kernel oops (3.36 KB, text/plain)
2011-08-24 08:00 UTC, Marcus Moeller
no flags Details
cifs Debug with cifsFYI set to 7 (2.81 KB, text/plain)
2011-08-24 08:01 UTC, Marcus Moeller
no flags Details

Description Marcus Moeller 2011-08-24 08:00:48 UTC
Created attachment 519571 [details]
kernel oops

Description of problem:
Trying to mount a cifs share on Kernel 2.6.40 fails with a kernel oops, probably if the share name contains a $ sign.

Comment 1 Marcus Moeller 2011-08-24 08:01:24 UTC
Created attachment 519572 [details]
cifs Debug with cifsFYI set to 7

Comment 2 Jeff Layton 2011-08-24 11:31:27 UTC
Does the patch here fix this?

http://marc.info/?l=linux-cifs&m=131394062707968&w=2

Comment 3 Marcus Moeller 2011-08-24 11:39:44 UTC
Is there already a build available for Fedora, containing the above patch?

Comment 4 Jeff Layton 2011-08-24 11:45:55 UTC
No, not yet -- I'll see if I can get one together here later today.

Comment 5 Jeff Layton 2011-08-24 12:23:10 UTC
I think I've got a scratch build going with that patch + one other. Can you test it once it completes?

    https://koji.fedoraproject.org/koji/taskinfo?taskID=3298071

Comment 6 Marcus Moeller 2011-08-24 13:59:22 UTC
Dear Jeff.

Yes, that patch did the trick. Do you think you could also include it in the next update?

Comment 7 Marcus Moeller 2011-08-24 14:04:38 UTC
Just a side note. This is logged in dmesg on the client:

CIFS VFS: strtoUCS: char2uni of 0xfffffff9 returned -22

But it does not seem to have any noticeable effect.

Comment 8 Jeff Layton 2011-08-25 10:27:03 UTC
Thanks for testing it. I'll see about getting that patch + one other into fedora kernels soon.

I think the strtoUCS message is unrelated -- it just means that cifs tried to decode a character (probably in a filename) that couldn't be decoded into your codepage.

Comment 9 Marcus Moeller 2011-08-26 14:39:30 UTC
Strangely the problem only seems to occur sometimes on the unpatched 2.6.40. Do you have any Idea why?

I have never experienced it again in the patched kernel till now, btw.

Comment 10 Jeff Layton 2011-08-26 14:58:56 UTC
Yes... in some cases, lookup_one_len may return a valid dentry pointer. If that happens, then everything will work. It's only when it returns an ERR_PTR that this will blow up.

Comment 11 Chuck Ebbert 2011-08-26 21:32:32 UTC
The patch is now in f15 and will be in the next kernel release.

Comment 12 Fedora Update System 2011-09-01 11:07:00 UTC
kernel-2.6.40.4-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.4-5.fc15

Comment 13 Fedora Update System 2011-09-07 00:01:11 UTC
kernel-2.6.40.4-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Jeff Layton 2011-09-28 14:30:11 UTC
No word in some time, so I'm assuming this is now fixed. Please reopen if you're still having problems.


Note You need to log in before you can comment on or make changes to this bug.